
package com.google.api.ads.adwords.jaxws.v201109.cm;

import javax.xml.bind.annotation.XmlRegistry;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the com.google.api.ads.adwords.jaxws.v201109.cm package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {


    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.google.api.ads.adwords.jaxws.v201109.cm
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link ExperimentServiceError }
     * 
     */
    public ExperimentServiceError createExperimentServiceError() {
        return new ExperimentServiceError();
    }

    /**
     * Create an instance of {@link PolicyViolationError }
     * 
     */
    public PolicyViolationError createPolicyViolationError() {
        return new PolicyViolationError();
    }

    /**
     * Create an instance of {@link AdParamPage }
     * 
     */
    public AdParamPage createAdParamPage() {
        return new AdParamPage();
    }

    /**
     * Create an instance of {@link Date }
     * 
     */
    public Date createDate() {
        return new Date();
    }

    /**
     * Create an instance of {@link AdScheduleTarget }
     * 
     */
    public AdScheduleTarget createAdScheduleTarget() {
        return new AdScheduleTarget();
    }

    /**
     * Create an instance of {@link CampaignCriterionOperation }
     * 
     */
    public CampaignCriterionOperation createCampaignCriterionOperation() {
        return new CampaignCriterionOperation();
    }

    /**
     * Create an instance of {@link BudgetOptimizerAdGroupCriterionBids }
     * 
     */
    public BudgetOptimizerAdGroupCriterionBids createBudgetOptimizerAdGroupCriterionBids() {
        return new BudgetOptimizerAdGroupCriterionBids();
    }

    /**
     * Create an instance of {@link Image }
     * 
     */
    public Image createImage() {
        return new Image();
    }

    /**
     * Create an instance of {@link AdGroupAdOperation }
     * 
     */
    public AdGroupAdOperation createAdGroupAdOperation() {
        return new AdGroupAdOperation();
    }

    /**
     * Create an instance of {@link LocationExtension }
     * 
     */
    public LocationExtension createLocationExtension() {
        return new LocationExtension();
    }

    /**
     * Create an instance of {@link QuotaCheckError }
     * 
     */
    public QuotaCheckError createQuotaCheckError() {
        return new QuotaCheckError();
    }

    /**
     * Create an instance of {@link AgeRange }
     * 
     */
    public AgeRange createAgeRange() {
        return new AgeRange();
    }

    /**
     * Create an instance of {@link CampaignTargetPage }
     * 
     */
    public CampaignTargetPage createCampaignTargetPage() {
        return new CampaignTargetPage();
    }

    /**
     * Create an instance of {@link MobileExtension }
     * 
     */
    public MobileExtension createMobileExtension() {
        return new MobileExtension();
    }

    /**
     * Create an instance of {@link BiddingError }
     * 
     */
    public BiddingError createBiddingError() {
        return new BiddingError();
    }

    /**
     * Create an instance of {@link AdGroupAdCountLimitExceeded }
     * 
     */
    public AdGroupAdCountLimitExceeded createAdGroupAdCountLimitExceeded() {
        return new AdGroupAdCountLimitExceeded();
    }

    /**
     * Create an instance of {@link NegativeCampaignCriterion }
     * 
     */
    public NegativeCampaignCriterion createNegativeCampaignCriterion() {
        return new NegativeCampaignCriterion();
    }

    /**
     * Create an instance of {@link JobEvent }
     * 
     */
    public JobEvent createJobEvent() {
        return new JobEvent();
    }

    /**
     * Create an instance of {@link SimpleMutateResult }
     * 
     */
    public SimpleMutateResult createSimpleMutateResult() {
        return new SimpleMutateResult();
    }

    /**
     * Create an instance of {@link BatchFailureResult }
     * 
     */
    public BatchFailureResult createBatchFailureResult() {
        return new BatchFailureResult();
    }

    /**
     * Create an instance of {@link OrderBy }
     * 
     */
    public OrderBy createOrderBy() {
        return new OrderBy();
    }

    /**
     * Create an instance of {@link RateExceededError }
     * 
     */
    public RateExceededError createRateExceededError() {
        return new RateExceededError();
    }

    /**
     * Create an instance of {@link CriterionBidLandscapePage }
     * 
     */
    public CriterionBidLandscapePage createCriterionBidLandscapePage() {
        return new CriterionBidLandscapePage();
    }

    /**
     * Create an instance of {@link ThirdPartyRedirectAd }
     * 
     */
    public ThirdPartyRedirectAd createThirdPartyRedirectAd() {
        return new ThirdPartyRedirectAd();
    }

    /**
     * Create an instance of {@link SelectorError }
     * 
     */
    public SelectorError createSelectorError() {
        return new SelectorError();
    }

    /**
     * Create an instance of {@link BulkMutateJobPolicy }
     * 
     */
    public BulkMutateJobPolicy createBulkMutateJobPolicy() {
        return new BulkMutateJobPolicy();
    }

    /**
     * Create an instance of {@link ManualCPM }
     * 
     */
    public ManualCPM createManualCPM() {
        return new ManualCPM();
    }

    /**
     * Create an instance of {@link Gender }
     * 
     */
    public Gender createGender() {
        return new Gender();
    }

    /**
     * Create an instance of {@link FrequencyCap }
     * 
     */
    public FrequencyCap createFrequencyCap() {
        return new FrequencyCap();
    }

    /**
     * Create an instance of {@link Platform }
     * 
     */
    public Platform createPlatform() {
        return new Platform();
    }

    /**
     * Create an instance of {@link ExperimentPage }
     * 
     */
    public ExperimentPage createExperimentPage() {
        return new ExperimentPage();
    }

    /**
     * Create an instance of {@link StringLengthError }
     * 
     */
    public StringLengthError createStringLengthError() {
        return new StringLengthError();
    }

    /**
     * Create an instance of {@link AdGroupExperimentData }
     * 
     */
    public AdGroupExperimentData createAdGroupExperimentData() {
        return new AdGroupExperimentData();
    }

    /**
     * Create an instance of {@link IdError }
     * 
     */
    public IdError createIdError() {
        return new IdError();
    }

    /**
     * Create an instance of {@link ConversionTrackerPage }
     * 
     */
    public ConversionTrackerPage createConversionTrackerPage() {
        return new ConversionTrackerPage();
    }

    /**
     * Create an instance of {@link AdGroupAdExperimentData }
     * 
     */
    public AdGroupAdExperimentData createAdGroupAdExperimentData() {
        return new AdGroupAdExperimentData();
    }

    /**
     * Create an instance of {@link AdGroupServiceError }
     * 
     */
    public AdGroupServiceError createAdGroupServiceError() {
        return new AdGroupServiceError();
    }

    /**
     * Create an instance of {@link Audio }
     * 
     */
    public Audio createAudio() {
        return new Audio();
    }

    /**
     * Create an instance of {@link AdGroupAdError }
     * 
     */
    public AdGroupAdError createAdGroupAdError() {
        return new AdGroupAdError();
    }

    /**
     * Create an instance of {@link ImageAd }
     * 
     */
    public ImageAd createImageAd() {
        return new ImageAd();
    }

    /**
     * Create an instance of {@link ExternalRemarketingUserList }
     * 
     */
    public ExternalRemarketingUserList createExternalRemarketingUserList() {
        return new ExternalRemarketingUserList();
    }

    /**
     * Create an instance of {@link TemplateElementField }
     * 
     */
    public TemplateElementField createTemplateElementField() {
        return new TemplateElementField();
    }

    /**
     * Create an instance of {@link CampaignCriterionError }
     * 
     */
    public CampaignCriterionError createCampaignCriterionError() {
        return new CampaignCriterionError();
    }

    /**
     * Create an instance of {@link ManualCPCAdGroupCriterionExperimentBidMultiplier }
     * 
     */
    public ManualCPCAdGroupCriterionExperimentBidMultiplier createManualCPCAdGroupCriterionExperimentBidMultiplier() {
        return new ManualCPCAdGroupCriterionExperimentBidMultiplier();
    }

    /**
     * Create an instance of {@link UserListOperation }
     * 
     */
    public UserListOperation createUserListOperation() {
        return new UserListOperation();
    }

    /**
     * Create an instance of {@link CampaignTargetSelector }
     * 
     */
    public CampaignTargetSelector createCampaignTargetSelector() {
        return new CampaignTargetSelector();
    }

    /**
     * Create an instance of {@link Budget }
     * 
     */
    public Budget createBudget() {
        return new Budget();
    }

    /**
     * Create an instance of {@link ConversionOptimizer }
     * 
     */
    public ConversionOptimizer createConversionOptimizer() {
        return new ConversionOptimizer();
    }

    /**
     * Create an instance of {@link LongValue }
     * 
     */
    public LongValue createLongValue() {
        return new LongValue();
    }

    /**
     * Create an instance of {@link PercentCPAAdGroupBids }
     * 
     */
    public PercentCPAAdGroupBids createPercentCPAAdGroupBids() {
        return new PercentCPAAdGroupBids();
    }

    /**
     * Create an instance of {@link DataError }
     * 
     */
    public DataError createDataError() {
        return new DataError();
    }

    /**
     * Create an instance of {@link SimpleMutateJob }
     * 
     */
    public SimpleMutateJob createSimpleMutateJob() {
        return new SimpleMutateJob();
    }

    /**
     * Create an instance of {@link BudgetError }
     * 
     */
    public BudgetError createBudgetError() {
        return new BudgetError();
    }

    /**
     * Create an instance of {@link ClientTermsError }
     * 
     */
    public ClientTermsError createClientTermsError() {
        return new ClientTermsError();
    }

    /**
     * Create an instance of {@link JobStats }
     * 
     */
    public JobStats createJobStats() {
        return new JobStats();
    }

    /**
     * Create an instance of {@link RequiredError }
     * 
     */
    public RequiredError createRequiredError() {
        return new RequiredError();
    }

    /**
     * Create an instance of {@link CriterionUserList }
     * 
     */
    public CriterionUserList createCriterionUserList() {
        return new CriterionUserList();
    }

    /**
     * Create an instance of {@link UserListReturnValue }
     * 
     */
    public UserListReturnValue createUserListReturnValue() {
        return new UserListReturnValue();
    }

    /**
     * Create an instance of {@link Media }
     * 
     */
    public Media createMedia() {
        return new Media();
    }

    /**
     * Create an instance of {@link BillingSummary }
     * 
     */
    public BillingSummary createBillingSummary() {
        return new BillingSummary();
    }

    /**
     * Create an instance of {@link SizeLimitError }
     * 
     */
    public SizeLimitError createSizeLimitError() {
        return new SizeLimitError();
    }

    /**
     * Create an instance of {@link TemplateElement }
     * 
     */
    public TemplateElement createTemplateElement() {
        return new TemplateElement();
    }

    /**
     * Create an instance of {@link AdGroupAdPage }
     * 
     */
    public AdGroupAdPage createAdGroupAdPage() {
        return new AdGroupAdPage();
    }

    /**
     * Create an instance of {@link PolicyViolationKey }
     * 
     */
    public PolicyViolationKey createPolicyViolationKey() {
        return new PolicyViolationKey();
    }

    /**
     * Create an instance of {@link Predicate }
     * 
     */
    public Predicate createPredicate() {
        return new Predicate();
    }

    /**
     * Create an instance of {@link CampaignCriterionLimitExceeded }
     * 
     */
    public CampaignCriterionLimitExceeded createCampaignCriterionLimitExceeded() {
        return new CampaignCriterionLimitExceeded();
    }

    /**
     * Create an instance of {@link BidLandscapeLandscapePoint }
     * 
     */
    public BidLandscapeLandscapePoint createBidLandscapeLandscapePoint() {
        return new BidLandscapeLandscapePoint();
    }

    /**
     * Create an instance of {@link ManualCPMAdGroupBids }
     * 
     */
    public ManualCPMAdGroupBids createManualCPMAdGroupBids() {
        return new ManualCPMAdGroupBids();
    }

    /**
     * Create an instance of {@link CampaignAdExtensionPage }
     * 
     */
    public CampaignAdExtensionPage createCampaignAdExtensionPage() {
        return new CampaignAdExtensionPage();
    }

    /**
     * Create an instance of {@link ConversionTrackingError }
     * 
     */
    public ConversionTrackingError createConversionTrackingError() {
        return new ConversionTrackingError();
    }

    /**
     * Create an instance of {@link ManualCPC }
     * 
     */
    public ManualCPC createManualCPC() {
        return new ManualCPC();
    }

    /**
     * Create an instance of {@link AdParamError }
     * 
     */
    public AdParamError createAdParamError() {
        return new AdParamError();
    }

    /**
     * Create an instance of {@link DateRange }
     * 
     */
    public DateRange createDateRange() {
        return new DateRange();
    }

    /**
     * Create an instance of {@link EntityAccessDenied }
     * 
     */
    public EntityAccessDenied createEntityAccessDenied() {
        return new EntityAccessDenied();
    }

    /**
     * Create an instance of {@link Keyword }
     * 
     */
    public Keyword createKeyword() {
        return new Keyword();
    }

    /**
     * Create an instance of {@link Sitelink }
     * 
     */
    public Sitelink createSitelink() {
        return new Sitelink();
    }

    /**
     * Create an instance of {@link JobResult }
     * 
     */
    public JobResult createJobResult() {
        return new JobResult();
    }

    /**
     * Create an instance of {@link ConversionTrackerStats }
     * 
     */
    public ConversionTrackerStats createConversionTrackerStats() {
        return new ConversionTrackerStats();
    }

    /**
     * Create an instance of {@link ReportDefinitionPage }
     * 
     */
    public ReportDefinitionPage createReportDefinitionPage() {
        return new ReportDefinitionPage();
    }

    /**
     * Create an instance of {@link BulkMutateResult }
     * 
     */
    public BulkMutateResult createBulkMutateResult() {
        return new BulkMutateResult();
    }

    /**
     * Create an instance of {@link BulkMutateJob }
     * 
     */
    public BulkMutateJob createBulkMutateJob() {
        return new BulkMutateJob();
    }

    /**
     * Create an instance of {@link ExperimentSummaryStats }
     * 
     */
    public ExperimentSummaryStats createExperimentSummaryStats() {
        return new ExperimentSummaryStats();
    }

    /**
     * Create an instance of {@link AdScheduleTargetList }
     * 
     */
    public AdScheduleTargetList createAdScheduleTargetList() {
        return new AdScheduleTargetList();
    }

    /**
     * Create an instance of {@link NegativeAdGroupCriterion }
     * 
     */
    public NegativeAdGroupCriterion createNegativeAdGroupCriterion() {
        return new NegativeAdGroupCriterion();
    }

    /**
     * Create an instance of {@link ConversionOptimizerBiddingTransition }
     * 
     */
    public ConversionOptimizerBiddingTransition createConversionOptimizerBiddingTransition() {
        return new ConversionOptimizerBiddingTransition();
    }

    /**
     * Create an instance of {@link AdGroupAdReturnValue }
     * 
     */
    public AdGroupAdReturnValue createAdGroupAdReturnValue() {
        return new AdGroupAdReturnValue();
    }

    /**
     * Create an instance of {@link CampaignError }
     * 
     */
    public CampaignError createCampaignError() {
        return new CampaignError();
    }

    /**
     * Create an instance of {@link QuotaError }
     * 
     */
    public QuotaError createQuotaError() {
        return new QuotaError();
    }

    /**
     * Create an instance of {@link LocationSyncExtension }
     * 
     */
    public LocationSyncExtension createLocationSyncExtension() {
        return new LocationSyncExtension();
    }

    /**
     * Create an instance of {@link CampaignAdExtension }
     * 
     */
    public CampaignAdExtension createCampaignAdExtension() {
        return new CampaignAdExtension();
    }

    /**
     * Create an instance of {@link Location }
     * 
     */
    public Location createLocation() {
        return new Location();
    }

    /**
     * Create an instance of {@link LocationOverrideInfo }
     * 
     */
    public LocationOverrideInfo createLocationOverrideInfo() {
        return new LocationOverrideInfo();
    }

    /**
     * Create an instance of {@link BulkMutateJobSelector }
     * 
     */
    public BulkMutateJobSelector createBulkMutateJobSelector() {
        return new BulkMutateJobSelector();
    }

    /**
     * Create an instance of {@link UserListLogicalRule }
     * 
     */
    public UserListLogicalRule createUserListLogicalRule() {
        return new UserListLogicalRule();
    }

    /**
     * Create an instance of {@link OperatingSystemVersion }
     * 
     */
    public OperatingSystemVersion createOperatingSystemVersion() {
        return new OperatingSystemVersion();
    }

    /**
     * Create an instance of {@link OverrideInfo }
     * 
     */
    public OverrideInfo createOverrideInfo() {
        return new OverrideInfo();
    }

    /**
     * Create an instance of {@link CampaignAdExtensionError }
     * 
     */
    public CampaignAdExtensionError createCampaignAdExtensionError() {
        return new CampaignAdExtensionError();
    }

    /**
     * Create an instance of {@link Carrier }
     * 
     */
    public Carrier createCarrier() {
        return new Carrier();
    }

    /**
     * Create an instance of {@link CampaignTargetReturnValue }
     * 
     */
    public CampaignTargetReturnValue createCampaignTargetReturnValue() {
        return new CampaignTargetReturnValue();
    }

    /**
     * Create an instance of {@link Money }
     * 
     */
    public Money createMoney() {
        return new Money();
    }

    /**
     * Create an instance of {@link AdStats }
     * 
     */
    public AdStats createAdStats() {
        return new AdStats();
    }

    /**
     * Create an instance of {@link ConversionOptimizerEligibility }
     * 
     */
    public ConversionOptimizerEligibility createConversionOptimizerEligibility() {
        return new ConversionOptimizerEligibility();
    }

    /**
     * Create an instance of {@link ManualCPMAdGroupCriterionBids }
     * 
     */
    public ManualCPMAdGroupCriterionBids createManualCPMAdGroupCriterionBids() {
        return new ManualCPMAdGroupCriterionBids();
    }

    /**
     * Create an instance of {@link RejectedError }
     * 
     */
    public RejectedError createRejectedError() {
        return new RejectedError();
    }

    /**
     * Create an instance of {@link ProductConditionAndGroup }
     * 
     */
    public ProductConditionAndGroup createProductConditionAndGroup() {
        return new ProductConditionAndGroup();
    }

    /**
     * Create an instance of {@link LocationCriterion }
     * 
     */
    public LocationCriterion createLocationCriterion() {
        return new LocationCriterion();
    }

    /**
     * Create an instance of {@link ExemptionRequest }
     * 
     */
    public ExemptionRequest createExemptionRequest() {
        return new ExemptionRequest();
    }

    /**
     * Create an instance of {@link SoapResponseHeader }
     * 
     */
    public SoapResponseHeader createSoapResponseHeader() {
        return new SoapResponseHeader();
    }

    /**
     * Create an instance of {@link RangeError }
     * 
     */
    public RangeError createRangeError() {
        return new RangeError();
    }

    /**
     * Create an instance of {@link BulkMutateRequest }
     * 
     */
    public BulkMutateRequest createBulkMutateRequest() {
        return new BulkMutateRequest();
    }

    /**
     * Create an instance of {@link ApiException }
     * 
     */
    public ApiException createApiException() {
        return new ApiException();
    }

    /**
     * Create an instance of {@link GeoTargetTypeSetting }
     * 
     */
    public GeoTargetTypeSetting createGeoTargetTypeSetting() {
        return new GeoTargetTypeSetting();
    }

    /**
     * Create an instance of {@link PolicyViolationErrorPart }
     * 
     */
    public PolicyViolationErrorPart createPolicyViolationErrorPart() {
        return new PolicyViolationErrorPart();
    }

    /**
     * Create an instance of {@link Experiment }
     * 
     */
    public Experiment createExperiment() {
        return new Experiment();
    }

    /**
     * Create an instance of {@link BiddingTransitionError }
     * 
     */
    public BiddingTransitionError createBiddingTransitionError() {
        return new BiddingTransitionError();
    }

    /**
     * Create an instance of {@link UserList }
     * 
     */
    public UserList createUserList() {
        return new UserList();
    }

    /**
     * Create an instance of {@link SettingError }
     * 
     */
    public SettingError createSettingError() {
        return new SettingError();
    }

    /**
     * Create an instance of {@link AudioError }
     * 
     */
    public AudioError createAudioError() {
        return new AudioError();
    }

    /**
     * Create an instance of {@link CampaignReturnValue }
     * 
     */
    public CampaignReturnValue createCampaignReturnValue() {
        return new CampaignReturnValue();
    }

    /**
     * Create an instance of {@link BiddableAdGroupCriterion }
     * 
     */
    public BiddableAdGroupCriterion createBiddableAdGroupCriterion() {
        return new BiddableAdGroupCriterion();
    }

    /**
     * Create an instance of {@link CampaignAdExtensionReturnValue }
     * 
     */
    public CampaignAdExtensionReturnValue createCampaignAdExtensionReturnValue() {
        return new CampaignAdExtensionReturnValue();
    }

    /**
     * Create an instance of {@link Operand }
     * 
     */
    public Operand createOperand() {
        return new Operand();
    }

    /**
     * Create an instance of {@link NetworkSetting }
     * 
     */
    public NetworkSetting createNetworkSetting() {
        return new NetworkSetting();
    }

    /**
     * Create an instance of {@link AdExtensionOverridePage }
     * 
     */
    public AdExtensionOverridePage createAdExtensionOverridePage() {
        return new AdExtensionOverridePage();
    }

    /**
     * Create an instance of {@link CampaignPage }
     * 
     */
    public CampaignPage createCampaignPage() {
        return new CampaignPage();
    }

    /**
     * Create an instance of {@link AdParam }
     * 
     */
    public AdParam createAdParam() {
        return new AdParam();
    }

    /**
     * Create an instance of {@link StatsQueryError }
     * 
     */
    public StatsQueryError createStatsQueryError() {
        return new StatsQueryError();
    }

    /**
     * Create an instance of {@link ProductExtension }
     * 
     */
    public ProductExtension createProductExtension() {
        return new ProductExtension();
    }

    /**
     * Create an instance of {@link BulkMutateJobStats }
     * 
     */
    public BulkMutateJobStats createBulkMutateJobStats() {
        return new BulkMutateJobStats();
    }

    /**
     * Create an instance of {@link PercentCPAAdGroupCriterionBids }
     * 
     */
    public PercentCPAAdGroupCriterionBids createPercentCPAAdGroupCriterionBids() {
        return new PercentCPAAdGroupCriterionBids();
    }

    /**
     * Create an instance of {@link UserListConversionType }
     * 
     */
    public UserListConversionType createUserListConversionType() {
        return new UserListConversionType();
    }

    /**
     * Create an instance of {@link ManualCPMAdGroupExperimentBidMultipliers }
     * 
     */
    public ManualCPMAdGroupExperimentBidMultipliers createManualCPMAdGroupExperimentBidMultipliers() {
        return new ManualCPMAdGroupExperimentBidMultipliers();
    }

    /**
     * Create an instance of {@link AdExtensionOverrideReturnValue }
     * 
     */
    public AdExtensionOverrideReturnValue createAdExtensionOverrideReturnValue() {
        return new AdExtensionOverrideReturnValue();
    }

    /**
     * Create an instance of {@link AdGroupAd }
     * 
     */
    public AdGroupAd createAdGroupAd() {
        return new AdGroupAd();
    }

    /**
     * Create an instance of {@link ReportDefinitionSelector }
     * 
     */
    public ReportDefinitionSelector createReportDefinitionSelector() {
        return new ReportDefinitionSelector();
    }

    /**
     * Create an instance of {@link RealTimeBiddingSetting }
     * 
     */
    public RealTimeBiddingSetting createRealTimeBiddingSetting() {
        return new RealTimeBiddingSetting();
    }

    /**
     * Create an instance of {@link AdGroupCriterion }
     * 
     */
    public AdGroupCriterion createAdGroupCriterion() {
        return new AdGroupCriterion();
    }

    /**
     * Create an instance of {@link ReportDefinitionField }
     * 
     */
    public ReportDefinitionField createReportDefinitionField() {
        return new ReportDefinitionField();
    }

    /**
     * Create an instance of {@link MediaSizeDimensionsMapEntry }
     * 
     */
    public MediaSizeDimensionsMapEntry createMediaSizeDimensionsMapEntry() {
        return new MediaSizeDimensionsMapEntry();
    }

    /**
     * Create an instance of {@link QualityInfo }
     * 
     */
    public QualityInfo createQualityInfo() {
        return new QualityInfo();
    }

    /**
     * Create an instance of {@link AdExtensionOverrideOperation }
     * 
     */
    public AdExtensionOverrideOperation createAdExtensionOverrideOperation() {
        return new AdExtensionOverrideOperation();
    }

    /**
     * Create an instance of {@link RemarketingUserList }
     * 
     */
    public RemarketingUserList createRemarketingUserList() {
        return new RemarketingUserList();
    }

    /**
     * Create an instance of {@link ProductCondition }
     * 
     */
    public ProductCondition createProductCondition() {
        return new ProductCondition();
    }

    /**
     * Create an instance of {@link NullError }
     * 
     */
    public NullError createNullError() {
        return new NullError();
    }

    /**
     * Create an instance of {@link MobileAd }
     * 
     */
    public MobileAd createMobileAd() {
        return new MobileAd();
    }

    /**
     * Create an instance of {@link Polygon }
     * 
     */
    public Polygon createPolygon() {
        return new Polygon();
    }

    /**
     * Create an instance of {@link OperationAccessDenied }
     * 
     */
    public OperationAccessDenied createOperationAccessDenied() {
        return new OperationAccessDenied();
    }

    /**
     * Create an instance of {@link SoapHeader }
     * 
     */
    public SoapHeader createSoapHeader() {
        return new SoapHeader();
    }

    /**
     * Create an instance of {@link CampaignTargetOperation }
     * 
     */
    public CampaignTargetOperation createCampaignTargetOperation() {
        return new CampaignTargetOperation();
    }

    /**
     * Create an instance of {@link AdParamPolicyError }
     * 
     */
    public AdParamPolicyError createAdParamPolicyError() {
        return new AdParamPolicyError();
    }

    /**
     * Create an instance of {@link EntityCountLimitExceeded }
     * 
     */
    public EntityCountLimitExceeded createEntityCountLimitExceeded() {
        return new EntityCountLimitExceeded();
    }

    /**
     * Create an instance of {@link EntityNotFound }
     * 
     */
    public EntityNotFound createEntityNotFound() {
        return new EntityNotFound();
    }

    /**
     * Create an instance of {@link MobileImageAd }
     * 
     */
    public MobileImageAd createMobileImageAd() {
        return new MobileImageAd();
    }

    /**
     * Create an instance of {@link AdError }
     * 
     */
    public AdError createAdError() {
        return new AdError();
    }

    /**
     * Create an instance of {@link NewEntityCreationError }
     * 
     */
    public NewEntityCreationError createNewEntityCreationError() {
        return new NewEntityCreationError();
    }

    /**
     * Create an instance of {@link BudgetOptimizerAdGroupBids }
     * 
     */
    public BudgetOptimizerAdGroupBids createBudgetOptimizerAdGroupBids() {
        return new BudgetOptimizerAdGroupBids();
    }

    /**
     * Create an instance of {@link Bid }
     * 
     */
    public Bid createBid() {
        return new Bid();
    }

    /**
     * Create an instance of {@link AdUnionId }
     * 
     */
    public AdUnionId createAdUnionId() {
        return new AdUnionId();
    }

    /**
     * Create an instance of {@link LogicalUserList }
     * 
     */
    public LogicalUserList createLogicalUserList() {
        return new LogicalUserList();
    }

    /**
     * Create an instance of {@link Dimensions }
     * 
     */
    public Dimensions createDimensions() {
        return new Dimensions();
    }

    /**
     * Create an instance of {@link AdWordsConversionTracker }
     * 
     */
    public AdWordsConversionTracker createAdWordsConversionTracker() {
        return new AdWordsConversionTracker();
    }

    /**
     * Create an instance of {@link VideoError }
     * 
     */
    public VideoError createVideoError() {
        return new VideoError();
    }

    /**
     * Create an instance of {@link AdGroup }
     * 
     */
    public AdGroup createAdGroup() {
        return new AdGroup();
    }

    /**
     * Create an instance of {@link UserInterest }
     * 
     */
    public UserInterest createUserInterest() {
        return new UserInterest();
    }

    /**
     * Create an instance of {@link Address }
     * 
     */
    public Address createAddress() {
        return new Address();
    }

    /**
     * Create an instance of {@link LogicalUserListOperand }
     * 
     */
    public LogicalUserListOperand createLogicalUserListOperand() {
        return new LogicalUserListOperand();
    }

    /**
     * Create an instance of {@link MediaSizeStringMapEntry }
     * 
     */
    public MediaSizeStringMapEntry createMediaSizeStringMapEntry() {
        return new MediaSizeStringMapEntry();
    }

    /**
     * Create an instance of {@link ApplicationException }
     * 
     */
    public ApplicationException createApplicationException() {
        return new ApplicationException();
    }

    /**
     * Create an instance of {@link AdExtension }
     * 
     */
    public AdExtension createAdExtension() {
        return new AdExtension();
    }

    /**
     * Create an instance of {@link AdGroupCriterionLimitExceeded }
     * 
     */
    public AdGroupCriterionLimitExceeded createAdGroupCriterionLimitExceeded() {
        return new AdGroupCriterionLimitExceeded();
    }

    /**
     * Create an instance of {@link ExperimentOperation }
     * 
     */
    public ExperimentOperation createExperimentOperation() {
        return new ExperimentOperation();
    }

    /**
     * Create an instance of {@link DateError }
     * 
     */
    public DateError createDateError() {
        return new DateError();
    }

    /**
     * Create an instance of {@link TempAdUnionId }
     * 
     */
    public TempAdUnionId createTempAdUnionId() {
        return new TempAdUnionId();
    }

    /**
     * Create an instance of {@link ManualCPCAdGroupExperimentBidMultipliers }
     * 
     */
    public ManualCPCAdGroupExperimentBidMultipliers createManualCPCAdGroupExperimentBidMultipliers() {
        return new ManualCPCAdGroupExperimentBidMultipliers();
    }

    /**
     * Create an instance of {@link UserListError }
     * 
     */
    public UserListError createUserListError() {
        return new UserListError();
    }

    /**
     * Create an instance of {@link OperationStream }
     * 
     */
    public OperationStream createOperationStream() {
        return new OperationStream();
    }

    /**
     * Create an instance of {@link LostResult }
     * 
     */
    public LostResult createLostResult() {
        return new LostResult();
    }

    /**
     * Create an instance of {@link UserListPage }
     * 
     */
    public UserListPage createUserListPage() {
        return new UserListPage();
    }

    /**
     * Create an instance of {@link CriterionPolicyError }
     * 
     */
    public CriterionPolicyError createCriterionPolicyError() {
        return new CriterionPolicyError();
    }

    /**
     * Create an instance of {@link InternalApiError }
     * 
     */
    public InternalApiError createInternalApiError() {
        return new InternalApiError();
    }

    /**
     * Create an instance of {@link Ad }
     * 
     */
    public Ad createAd() {
        return new Ad();
    }

    /**
     * Create an instance of {@link Campaign }
     * 
     */
    public Campaign createCampaign() {
        return new Campaign();
    }

    /**
     * Create an instance of {@link PercentCPA }
     * 
     */
    public PercentCPA createPercentCPA() {
        return new PercentCPA();
    }

    /**
     * Create an instance of {@link ContentLabel }
     * 
     */
    public ContentLabel createContentLabel() {
        return new ContentLabel();
    }

    /**
     * Create an instance of {@link EntityId }
     * 
     */
    public EntityId createEntityId() {
        return new EntityId();
    }

    /**
     * Create an instance of {@link AuthorizationError }
     * 
     */
    public AuthorizationError createAuthorizationError() {
        return new AuthorizationError();
    }

    /**
     * Create an instance of {@link NotWhitelistedError }
     * 
     */
    public NotWhitelistedError createNotWhitelistedError() {
        return new NotWhitelistedError();
    }

    /**
     * Create an instance of {@link ReportDefinition }
     * 
     */
    public ReportDefinition createReportDefinition() {
        return new ReportDefinition();
    }

    /**
     * Create an instance of {@link BiddableAdGroupCriterionExperimentData }
     * 
     */
    public BiddableAdGroupCriterionExperimentData createBiddableAdGroupCriterionExperimentData() {
        return new BiddableAdGroupCriterionExperimentData();
    }

    /**
     * Create an instance of {@link CriterionBidLandscape }
     * 
     */
    public CriterionBidLandscape createCriterionBidLandscape() {
        return new CriterionBidLandscape();
    }

    /**
     * Create an instance of {@link BiddingTransition }
     * 
     */
    public BiddingTransition createBiddingTransition() {
        return new BiddingTransition();
    }

    /**
     * Create an instance of {@link ConversionTrackerOperation }
     * 
     */
    public ConversionTrackerOperation createConversionTrackerOperation() {
        return new ConversionTrackerOperation();
    }

    /**
     * Create an instance of {@link BidMultiplier }
     * 
     */
    public BidMultiplier createBidMultiplier() {
        return new BidMultiplier();
    }

    /**
     * Create an instance of {@link ConversionOptimizerAdGroupBids }
     * 
     */
    public ConversionOptimizerAdGroupBids createConversionOptimizerAdGroupBids() {
        return new ConversionOptimizerAdGroupBids();
    }

    /**
     * Create an instance of {@link AdGroupCriterionError }
     * 
     */
    public AdGroupCriterionError createAdGroupCriterionError() {
        return new AdGroupCriterionError();
    }

    /**
     * Create an instance of {@link InvalidGeoLocation }
     * 
     */
    public InvalidGeoLocation createInvalidGeoLocation() {
        return new InvalidGeoLocation();
    }

    /**
     * Create an instance of {@link ExperimentReturnValue }
     * 
     */
    public ExperimentReturnValue createExperimentReturnValue() {
        return new ExperimentReturnValue();
    }

    /**
     * Create an instance of {@link Language }
     * 
     */
    public Language createLanguage() {
        return new Language();
    }

    /**
     * Create an instance of {@link JobError }
     * 
     */
    public JobError createJobError() {
        return new JobError();
    }

    /**
     * Create an instance of {@link ProductAd }
     * 
     */
    public ProductAd createProductAd() {
        return new ProductAd();
    }

    /**
     * Create an instance of {@link AdExtensionOverrideSelector }
     * 
     */
    public AdExtensionOverrideSelector createAdExtensionOverrideSelector() {
        return new AdExtensionOverrideSelector();
    }

    /**
     * Create an instance of {@link LocationCriterionServiceError }
     * 
     */
    public LocationCriterionServiceError createLocationCriterionServiceError() {
        return new LocationCriterionServiceError();
    }

    /**
     * Create an instance of {@link Proximity }
     * 
     */
    public Proximity createProximity() {
        return new Proximity();
    }

    /**
     * Create an instance of {@link CriterionUserInterest }
     * 
     */
    public CriterionUserInterest createCriterionUserInterest() {
        return new CriterionUserInterest();
    }

    /**
     * Create an instance of {@link CampaignOperation }
     * 
     */
    public CampaignOperation createCampaignOperation() {
        return new CampaignOperation();
    }

    /**
     * Create an instance of {@link AdExtensionOverrideStats }
     * 
     */
    public AdExtensionOverrideStats createAdExtensionOverrideStats() {
        return new AdExtensionOverrideStats();
    }

    /**
     * Create an instance of {@link TextAd }
     * 
     */
    public TextAd createTextAd() {
        return new TextAd();
    }

    /**
     * Create an instance of {@link ConversionOptimizerAdGroupCriterionBids }
     * 
     */
    public ConversionOptimizerAdGroupCriterionBids createConversionOptimizerAdGroupCriterionBids() {
        return new ConversionOptimizerAdGroupCriterionBids();
    }

    /**
     * Create an instance of {@link AdGroupOperation }
     * 
     */
    public AdGroupOperation createAdGroupOperation() {
        return new AdGroupOperation();
    }

    /**
     * Create an instance of {@link BulkMutateJobEvent }
     * 
     */
    public BulkMutateJobEvent createBulkMutateJobEvent() {
        return new BulkMutateJobEvent();
    }

    /**
     * Create an instance of {@link OperatorError }
     * 
     */
    public OperatorError createOperatorError() {
        return new OperatorError();
    }

    /**
     * Create an instance of {@link Stats }
     * 
     */
    public Stats createStats() {
        return new Stats();
    }

    /**
     * Create an instance of {@link AdExtensionOverride }
     * 
     */
    public AdExtensionOverride createAdExtensionOverride() {
        return new AdExtensionOverride();
    }

    /**
     * Create an instance of {@link AdGroupCriterionPage }
     * 
     */
    public AdGroupCriterionPage createAdGroupCriterionPage() {
        return new AdGroupCriterionPage();
    }

    /**
     * Create an instance of {@link Criterion }
     * 
     */
    public Criterion createCriterion() {
        return new Criterion();
    }

    /**
     * Create an instance of {@link NotEmptyError }
     * 
     */
    public NotEmptyError createNotEmptyError() {
        return new NotEmptyError();
    }

    /**
     * Create an instance of {@link Paging }
     * 
     */
    public Paging createPaging() {
        return new Paging();
    }

    /**
     * Create an instance of {@link DateTimeRange }
     * 
     */
    public DateTimeRange createDateTimeRange() {
        return new DateTimeRange();
    }

    /**
     * Create an instance of {@link AdGroupCriterionOperation }
     * 
     */
    public AdGroupCriterionOperation createAdGroupCriterionOperation() {
        return new AdGroupCriterionOperation();
    }

    /**
     * Create an instance of {@link GeoLocationSelector }
     * 
     */
    public GeoLocationSelector createGeoLocationSelector() {
        return new GeoLocationSelector();
    }

    /**
     * Create an instance of {@link FailureResult }
     * 
     */
    public FailureResult createFailureResult() {
        return new FailureResult();
    }

    /**
     * Create an instance of {@link AdGroupReturnValue }
     * 
     */
    public AdGroupReturnValue createAdGroupReturnValue() {
        return new AdGroupReturnValue();
    }

    /**
     * Create an instance of {@link DatabaseError }
     * 
     */
    public DatabaseError createDatabaseError() {
        return new DatabaseError();
    }

    /**
     * Create an instance of {@link PlaceHolder }
     * 
     */
    public PlaceHolder createPlaceHolder() {
        return new PlaceHolder();
    }

    /**
     * Create an instance of {@link JobOperation }
     * 
     */
    public JobOperation createJobOperation() {
        return new JobOperation();
    }

    /**
     * Create an instance of {@link ManualCPCAdGroupBids }
     * 
     */
    public ManualCPCAdGroupBids createManualCPCAdGroupBids() {
        return new ManualCPCAdGroupBids();
    }

    /**
     * Create an instance of {@link MediaPage }
     * 
     */
    public MediaPage createMediaPage() {
        return new MediaPage();
    }

    /**
     * Create an instance of {@link CampaignStats }
     * 
     */
    public CampaignStats createCampaignStats() {
        return new CampaignStats();
    }

    /**
     * Create an instance of {@link ProductConditionOperand }
     * 
     */
    public ProductConditionOperand createProductConditionOperand() {
        return new ProductConditionOperand();
    }

    /**
     * Create an instance of {@link ReturnValueResult }
     * 
     */
    public ReturnValueResult createReturnValueResult() {
        return new ReturnValueResult();
    }

    /**
     * Create an instance of {@link Video }
     * 
     */
    public Video createVideo() {
        return new Video();
    }

    /**
     * Create an instance of {@link PagingError }
     * 
     */
    public PagingError createPagingError() {
        return new PagingError();
    }

    /**
     * Create an instance of {@link UnprocessedResult }
     * 
     */
    public UnprocessedResult createUnprocessedResult() {
        return new UnprocessedResult();
    }

    /**
     * Create an instance of {@link DeprecatedAd }
     * 
     */
    public DeprecatedAd createDeprecatedAd() {
        return new DeprecatedAd();
    }

    /**
     * Create an instance of {@link EnumValuePair }
     * 
     */
    public EnumValuePair createEnumValuePair() {
        return new EnumValuePair();
    }

    /**
     * Create an instance of {@link RegionCodeError }
     * 
     */
    public RegionCodeError createRegionCodeError() {
        return new RegionCodeError();
    }

    /**
     * Create an instance of {@link MediaError }
     * 
     */
    public MediaError createMediaError() {
        return new MediaError();
    }

    /**
     * Create an instance of {@link TemplateAd }
     * 
     */
    public TemplateAd createTemplateAd() {
        return new TemplateAd();
    }

    /**
     * Create an instance of {@link AdGroupCriterionReturnValue }
     * 
     */
    public AdGroupCriterionReturnValue createAdGroupCriterionReturnValue() {
        return new AdGroupCriterionReturnValue();
    }

    /**
     * Create an instance of {@link DistinctError }
     * 
     */
    public DistinctError createDistinctError() {
        return new DistinctError();
    }

    /**
     * Create an instance of {@link SitelinksExtension }
     * 
     */
    public SitelinksExtension createSitelinksExtension() {
        return new SitelinksExtension();
    }

    /**
     * Create an instance of {@link CampaignAdExtensionStats }
     * 
     */
    public CampaignAdExtensionStats createCampaignAdExtensionStats() {
        return new CampaignAdExtensionStats();
    }

    /**
     * Create an instance of {@link RequestError }
     * 
     */
    public RequestError createRequestError() {
        return new RequestError();
    }

    /**
     * Create an instance of {@link CampaignCriterionReturnValue }
     * 
     */
    public CampaignCriterionReturnValue createCampaignCriterionReturnValue() {
        return new CampaignCriterionReturnValue();
    }

    /**
     * Create an instance of {@link Vertical }
     * 
     */
    public Vertical createVertical() {
        return new Vertical();
    }

    /**
     * Create an instance of {@link ManualCPCAdGroupCriterionBids }
     * 
     */
    public ManualCPCAdGroupCriterionBids createManualCPCAdGroupCriterionBids() {
        return new ManualCPCAdGroupCriterionBids();
    }

    /**
     * Create an instance of {@link AdGroupPage }
     * 
     */
    public AdGroupPage createAdGroupPage() {
        return new AdGroupPage();
    }

    /**
     * Create an instance of {@link AdGroupBidLandscapePage }
     * 
     */
    public AdGroupBidLandscapePage createAdGroupBidLandscapePage() {
        return new AdGroupBidLandscapePage();
    }

    /**
     * Create an instance of {@link GeoPoint }
     * 
     */
    public GeoPoint createGeoPoint() {
        return new GeoPoint();
    }

    /**
     * Create an instance of {@link AuthenticationError }
     * 
     */
    public AuthenticationError createAuthenticationError() {
        return new AuthenticationError();
    }

    /**
     * Create an instance of {@link TargetError }
     * 
     */
    public TargetError createTargetError() {
        return new TargetError();
    }

    /**
     * Create an instance of {@link AdGroupBidLandscape }
     * 
     */
    public AdGroupBidLandscape createAdGroupBidLandscape() {
        return new AdGroupBidLandscape();
    }

    /**
     * Create an instance of {@link CampaignAdExtensionOperation }
     * 
     */
    public CampaignAdExtensionOperation createCampaignAdExtensionOperation() {
        return new CampaignAdExtensionOperation();
    }

    /**
     * Create an instance of {@link OperationStreamResult }
     * 
     */
    public OperationStreamResult createOperationStreamResult() {
        return new OperationStreamResult();
    }

    /**
     * Create an instance of {@link ApiErrorReason }
     * 
     */
    public ApiErrorReason createApiErrorReason() {
        return new ApiErrorReason();
    }

    /**
     * Create an instance of {@link CampaignCriterionPage }
     * 
     */
    public CampaignCriterionPage createCampaignCriterionPage() {
        return new CampaignCriterionPage();
    }

    /**
     * Create an instance of {@link Selector }
     * 
     */
    public Selector createSelector() {
        return new Selector();
    }

    /**
     * Create an instance of {@link BudgetOptimizer }
     * 
     */
    public BudgetOptimizer createBudgetOptimizer() {
        return new BudgetOptimizer();
    }

    /**
     * Create an instance of {@link GeoLocation }
     * 
     */
    public GeoLocation createGeoLocation() {
        return new GeoLocation();
    }

    /**
     * Create an instance of {@link Placement }
     * 
     */
    public Placement createPlacement() {
        return new Placement();
    }

    /**
     * Create an instance of {@link AdParamOperation }
     * 
     */
    public AdParamOperation createAdParamOperation() {
        return new AdParamOperation();
    }

    /**
     * Create an instance of {@link Product }
     * 
     */
    public Product createProduct() {
        return new Product();
    }

    /**
     * Create an instance of {@link CriterionError }
     * 
     */
    public CriterionError createCriterionError() {
        return new CriterionError();
    }

    /**
     * Create an instance of {@link ImageError }
     * 
     */
    public ImageError createImageError() {
        return new ImageError();
    }

    /**
     * Create an instance of {@link GeoLocationError }
     * 
     */
    public GeoLocationError createGeoLocationError() {
        return new GeoLocationError();
    }

    /**
     * Create an instance of {@link BulkMutateJobError }
     * 
     */
    public BulkMutateJobError createBulkMutateJobError() {
        return new BulkMutateJobError();
    }

    /**
     * Create an instance of {@link AdExtensionError }
     * 
     */
    public AdExtensionError createAdExtensionError() {
        return new AdExtensionError();
    }

    /**
     * Create an instance of {@link CampaignCriterion }
     * 
     */
    public CampaignCriterion createCampaignCriterion() {
        return new CampaignCriterion();
    }

    /**
     * Create an instance of {@link ReportDefinitionError }
     * 
     */
    public ReportDefinitionError createReportDefinitionError() {
        return new ReportDefinitionError();
    }

    /**
     * Create an instance of {@link AdExtensionOverrideError }
     * 
     */
    public AdExtensionOverrideError createAdExtensionOverrideError() {
        return new AdExtensionOverrideError();
    }

    /**
     * Create an instance of {@link CollectionSizeError }
     * 
     */
    public CollectionSizeError createCollectionSizeError() {
        return new CollectionSizeError();
    }

    /**
     * Create an instance of {@link ReadOnlyError }
     * 
     */
    public ReadOnlyError createReadOnlyError() {
        return new ReadOnlyError();
    }

    /**
     * Create an instance of {@link ConversionTrackerReturnValue }
     * 
     */
    public ConversionTrackerReturnValue createConversionTrackerReturnValue() {
        return new ConversionTrackerReturnValue();
    }

    /**
     * Create an instance of {@link DoubleValue }
     * 
     */
    public DoubleValue createDoubleValue() {
        return new DoubleValue();
    }

}
